Skip to main content
PATCH
Update a portal

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

id
string
required

The slug identifier of the portal

Body

application/json
color
string

Header color for help-center in hex format

Example:

"#FFFFFF"

custom_domain
string

Custom domain to display help center.

Example:

"tied.help"

header_text
string

Help center header

Example:

"Handbook"

link to main dashboard

Example:

"https://tied.com/"

name
string

Name for the portal

Example:

"Handbook"

page_title
string

Page title for the portal

Example:

"Handbook"

slug
string

Slug for the portal to display in link

Example:

"handbook"

archived
boolean

Status to check if portal is live

Example:

false

config
object

Configuration about supporting locales

Example:

Response

Success

id
integer

The ID of the portal

archived
boolean

Whether the portal is archived

color
string | null

The color code for the portal

config
object

Configuration settings for the portal

custom_domain
string | null

Custom domain for the portal

header_text
string | null

The header text for the portal

Homepage link for the portal

name
string

Name of the portal

slug
string

URL slug for the portal

page_title
string | null

Page title for the portal

account_id
integer

ID of the account the portal belongs to

inbox
object
meta
object